Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625892 - creation of activation keys
creation of activation keys
Status: CLOSED INSUFFICIENT_DATA
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks: space16
  Show dependency treegraph
 
Reported: 2010-08-20 13:54 EDT by Aleksei
Modified: 2011-08-19 10:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-19 10:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Web Traceback (Recieved by email) (8.10 KB, text/plain)
2010-08-20 13:54 EDT, Aleksei
no flags Details

  None (edit)
Description Aleksei 2010-08-20 13:54:37 EDT
Created attachment 440003 [details]
Web Traceback (Recieved by email)

Description of problem:
Can't create activation key through web interface

Version-Release number of selected component (if applicable):
spacewalk-oracle 1.1.6
spacewalk-java 1.1.50
spacewalk-base-minimal 1.1.8
How reproducible:
Fedora 13 x86_64 with oracle-xe-server installed by instruction 

Steps to Reproduce:
1. OS Fedora x86_64
2. oracle-xe-server (installed by following this guide https://fedorahosted.org/spacewalk/wiki/OracleXeSetup)
3. spacewalk-oracle installed by followed this guide (https://fedorahosted.org/spacewalk/wiki/HowToInstall)
4. Go to web interface -> Manage Activation Keys -> create new key
  
Actual results:
This error message
Internal Server Error

The server experienced a problem which prevented your request from being filled out. It may not be possible to execute this action at this time.

Please help us correct this problem by contacting us with details of how you received this message.

Expected results:
Web interface for activation key creation

Additional info:
Comment 1 Colin Coe 2010-10-19 22:44:51 EDT
Do you still see this problem?  If so, could re-produce the problem then post the contents of the file /var/log/tomcat5/catalina.out?

Thanks
Comment 2 Jan Pazdziora 2010-10-27 04:32:27 EDT
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.
Comment 3 Jan Pazdziora 2010-11-19 11:05:07 EST
Mass-moving to space13.
Comment 4 Miroslav Suchý 2011-04-11 03:33:44 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Miroslav Suchý 2011-04-11 03:37:16 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 6 Jan Pazdziora 2011-07-20 07:52:07 EDT
Aligning under space16.
Comment 7 Clifford Perry 2011-08-05 10:07:40 EDT
As per comment #1, we have requested and been waiting for more information for about 10 months. We do not see this as a bug in our code, but lack of information makes it hard to know for sure. We will likely close this out, without a way to replicate. 

Traceback added showed:

Caused by: java.io.FileNotFoundException: /usr/share/tomcat6/work/Catalina/localhost/rhn/org/apache/jsp/WEB_002dINF/pages/common/fragments/activationkeys/details_jspf.java (No such file or directory)

Which would seem to indicate *something* went wrong during installation, causing something to be missing on disk. This likely was fixed by reinstalling spacewalk-java package. 

Cliff
Comment 8 Michael Mráka 2011-08-19 10:59:43 EDT
Closing as per comment #7.

Note You need to log in before you can comment on or make changes to this bug.